Groovy 1.7.10

## groovy.lang
[Java] Class GroovySystem

    java.lang.Object
      groovy.lang.GroovySystem

    public final class GroovySystem
    extends Object

Method Summary
`static MetaClassRegistry` | `getMetaClassRegistry()`
`static String` | `getVersion()` Returns the groovy version
`static boolean` | `isKeepJavaMetaClasses()`
`static boolean` | `isUseReflection()`
`static void` | `setKeepJavaMetaClasses(boolean keepJavaMetaClasses)`
`static void` | `stopThreadedReferenceManager()` This method can be used to ensure that no threaded created by a reference manager will be active.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getMetaClassRegistry

    public static MetaClassRegistry getMetaClassRegistry()

### getVersion

    public static String getVersion()

  Returns the groovy version

### isKeepJavaMetaClasses

    public static boolean isKeepJavaMetaClasses()

### isUseReflection

    public static boolean isUseReflection()

### setKeepJavaMetaClasses

    public static void setKeepJavaMetaClasses(boolean keepJavaMetaClasses)

### stopThreadedReferenceManager

    public static void stopThreadedReferenceManager()

  This method can be used to ensure that no threaded created by a reference manager will be active. This is useful if the Groovy runtime itself is loaded through a class loader which should be disposed off. Without calling this method and if a threaded reference manager is active the class loader cannot be unloaded! Per default no threaded manager will be used.
  Since:
    1.6

Copyright © 2003-2010 The Codehaus. All rights reserved.